module local 1.0;

require {
	role object_r; 
	role sysadm_r; 
	role system_r; 

	class capability { setgid setuid sys_nice }; 
	class chr_file { ioctl execute getattr read setattr write }; 
	class dbus { acquire_svc send_msg }; 
	class dir { add_name create getattr read relabelfrom relabelto remove_name rename reparent rmdir search setattr write }; 
	class fifo_file { ioctl read getattr relabelfrom relabelto }; 
	class file { append create entrypoint execmod execute execute_no_trans getattr ioctl link lock read relabelfrom relabelto rename setattr unlink write }; 
	class lnk_file { create getattr read relabelfrom relabelto setattr unlink }; 
	class netlink_audit_socket { create nlmsg_relay ioctl write read }; 
	class netlink_route_socket nlmsg_write;
	class netlink_selinux_socket { bind create read }; 
	class packet_socket { bind create getattr ioctl read write }; 
	class process { execmem execstack getpgid getsched noatsecure rlimitinh setexec setpgid setrlimit setsched siginh signal signull transition }; 
	class rawip_socket { create getopt read setopt write }; 
	class security { check_context compute_av compute_create compute_user setenforce }; 
	class sem { associate create destroy read unix_read unix_write write }; 
	class shm { associate create destroy getattr read unix_read unix_write write }; 
	class sock_file { create getattr relabelfrom relabelto setattr unlink write }; 
	class system { ipc_info syslog_console }; 
	class tcp_socket { connect name_bind name_connect }; 
	class unix_dgram_socket { connect sendto create write };
	class unix_stream_socket { read write accept connectto listen }; 

	type NetworkManager_var_run_t; 
	type acct_data_t; 
	type amavisd_send_port_t; 
	type apmd_log_t; 
	type avahi_var_run_t; 
	type bin_t; 
	type binfmt_misc_fs_t; 
	type boot_t; 
	type checkpolicy_exec_t; 
	type cron_spool_t; 
	type cupsd_log_t; 
	type cupsd_rw_etc_t; 
	type default_context_t; 
	type default_t; 
	type devpts_t; 
	type devtty_t;
	type device_t;
	type dhcp_state_t; 
	type etc_runtime_t; 
	type etc_t; 
	type faillog_t; 
	type file_context_t; 
	type file_t;
	type fs_t; 
	type ftp_port_t; 
	type hotplug_t; 
	type http_port_t; 
	type httpd_cache_t; 
	type httpd_log_t; 
	type httpd_sys_content_t; 
	type httpd_sys_script_exec_t; 
	type httpd_var_lib_t; 
	type httpd_var_run_t; 
	type initrc_var_run_t; 
	type inotifyfs_t; 
	type jabber_client_port_t; 
	type jabber_interserver_port_t; 
	type kernel_t; 
	type klogd_var_run_t; 
	type lastlog_t; 
	type lib_t; 
	type logrotate_var_lib_t; 
	type logwatch_cache_t; 
	type lost_found_t; 
	type lvm_lock_t; 
	type mail_spool_t; 
	type man_t; 
	type memory_device_t; 
	type mnt_t; 
	type mqueue_spool_t; 
	type mysqld_db_t; 
	type mysqld_etc_t; 
	type mysqld_exec_t; 
	type mysqld_log_t; 
	type mysqld_t;
	type mysqld_var_run_t; 
	type named_cache_t; 
	type named_conf_t; 
	type named_var_run_t; 
	type named_zone_t; 
	type nscd_var_run_t; 
	type ntp_drift_t; 
	type pam_var_console_t; 
	type pam_var_run_t; 
	type policy_config_t; 
	type port_t; 
	type print_spool_t; 
	type proc_net_t; 
	type proc_t;
	type ptmx_t; 
	type random_device_t; 
	type root_t; 
	type rpm_log_t; 
	type rpm_var_lib_t; 
	type run_init_exec_t; 
	type samba_log_t; 
	type samba_var_t; 
	type sbin_t; 
	type security_t; 
	type shadow_t;
	type selinux_config_t; 
	type sendmail_log_t; 
	type system_mail_t;
	type shell_exec_t;
	type sound_device_t; 
	type ssh_port_t; 
	type sysctl_dev_t; 
	type sysctl_fs_t; 
	type sysctl_irq_t; 
	type sysctl_kernel_t; 
	type sysctl_net_t; 
	type sysctl_net_unix_t; 
	type sysctl_vm_t; 
	type syslogd_var_run_t; 
	type syslogd_t;
	type system_dbusd_var_run_t; 
	type shlib_t;
	type tetex_data_t; 
	type tftpdir_t; 
	type tmp_t; 
	type tmpfs_t; 
	type tty_device_t; 
	type unconfined_t; 
	type user_home_t; 
	type usr_t;
	type unlabeled_t;
	type v4l_device_t; 
	type var_lib_nfs_t; 
	type var_lib_t; 
	type var_lock_t; 
	type var_log_t; 
	type var_run_t; 
	type var_spool_t; 
	type var_t; 
	type var_yp_t; 
	type winbind_var_run_t; 
	type wtmp_t; 
	type xkb_var_lib_t; 
	type xserver_log_t; 
	type zero_device_t; 
	type httpd_sys_script_t;
	type devlog_t;
	type httpd_runtime_t;
	type httpd_t;
	type initrc_su_t;
	type initrc_t;
	type xauth_exec_t;
 };


allow hotplug_t NetworkManager_var_run_t:dir { read relabelto };
allow hotplug_t acct_data_t:dir { read relabelto search };
allow hotplug_t acct_data_t:file relabelto;
allow hotplug_t amavisd_send_port_t:tcp_socket name_connect;
allow hotplug_t apmd_log_t:file relabelto;
allow hotplug_t avahi_var_run_t:dir { read relabelto };
allow hotplug_t bin_t:file { relabelfrom relabelto setattr };
allow hotplug_t bin_t:lnk_file relabelto;
allow hotplug_t binfmt_misc_fs_t:dir { getattr read search };
allow hotplug_t boot_t:lnk_file relabelto;
allow hotplug_t checkpolicy_exec_t:file { execute getattr read relabelfrom relabelto setattr };
allow hotplug_t cron_spool_t:dir { read relabelto search };
allow hotplug_t cupsd_log_t:dir { read relabelto search };
allow hotplug_t cupsd_log_t:file relabelto;
allow hotplug_t cupsd_rw_etc_t:dir { read relabelto search };
allow hotplug_t cupsd_rw_etc_t:file relabelto;
allow hotplug_t default_context_t:dir { getattr read search };
allow hotplug_t default_context_t:file getattr;
allow hotplug_t default_t:dir { add_name getattr read relabelto remove_name search write };
allow hotplug_t default_t:file { create execmod execute execute_no_trans getattr ioctl read relabelto setattr unlink write };
allow hotplug_t default_t:lnk_file { getattr read relabelto };
allow hotplug_t devpts_t:chr_file { setattr };
allow hotplug_t dhcp_state_t:dir { getattr read search };
allow hotplug_t etc_runtime_t:file relabelto;
allow hotplug_t etc_t:lnk_file relabelto;
allow hotplug_t faillog_t:file { getattr relabelto };
allow hotplug_t file_context_t:dir { getattr read search };
allow hotplug_t file_context_t:file getattr;
allow hotplug_t file_t:dir { add_name create read relabelfrom remove_name rename reparent rmdir setattr write };
allow hotplug_t file_t:fifo_file { getattr relabelfrom };
allow hotplug_t file_t:file { append create entrypoint execmod execute execute_no_trans getattr ioctl link lock read relabelfrom rename setattr unlink write };
allow hotplug_t file_t:lnk_file { create getattr read relabelfrom setattr unlink };
allow hotplug_t file_t:sock_file { create getattr relabelfrom setattr unlink write };
allow hotplug_t ftp_port_t:tcp_socket name_connect;
allow hotplug_t self:capability { setgid setuid sys_nice };
allow hotplug_t self:dbus { acquire_svc send_msg };
allow hotplug_t self:netlink_audit_socket  { ioctl read };
allow hotplug_t self:netlink_route_socket nlmsg_write;
allow hotplug_t self:netlink_selinux_socket { bind create read };
allow hotplug_t self:packet_socket { bind create getattr ioctl read write };
allow hotplug_t self:process {  execmem execstack getpgid getsched setexec setpgid setrlimit setsched };
allow hotplug_t self:rawip_socket { create getopt read setopt write };
allow hotplug_t self:sem { associate create destroy read unix_read unix_write write };
allow hotplug_t self:shm { associate create destroy getattr read unix_read unix_write write };
allow hotplug_t self:tcp_socket connect;
allow hotplug_t self:unix_stream_socket { accept connectto listen };
allow hotplug_t http_port_t:tcp_socket name_connect;
allow hotplug_t httpd_cache_t:dir { getattr read relabelto search };
allow hotplug_t httpd_log_t:dir { getattr read relabelto search };
allow hotplug_t httpd_log_t:file { getattr relabelto };
allow hotplug_t httpd_sys_content_t:dir { getattr read relabelto search };
allow hotplug_t httpd_sys_content_t:file { getattr relabelto };
allow hotplug_t httpd_sys_content_t:lnk_file relabelto;
allow hotplug_t httpd_sys_script_exec_t:dir { getattr read relabelto search };
allow hotplug_t httpd_var_lib_t:dir { read relabelto };
allow hotplug_t httpd_var_run_t:dir { getattr read relabelto search };
allow hotplug_t httpd_var_run_t:file { getattr relabelto };
allow hotplug_t initrc_var_run_t:file { lock read relabelto write };
allow hotplug_t inotifyfs_t:dir { getattr read };
allow hotplug_t jabber_client_port_t:tcp_socket { name_bind name_connect };
allow hotplug_t jabber_interserver_port_t:tcp_socket name_bind;
allow hotplug_t kernel_t:dbus send_msg;
allow hotplug_t kernel_t:process { signal signull };
allow hotplug_t kernel_t:shm { associate destroy getattr read unix_read unix_write write };
allow hotplug_t kernel_t:system { ipc_info syslog_console };
allow hotplug_t kernel_t:unix_dgram_socket sendto;
allow hotplug_t kernel_t:unix_stream_socket connectto;
allow hotplug_t klogd_var_run_t:file relabelto;
allow hotplug_t lastlog_t:file { getattr relabelto };
allow hotplug_t lib_t:lnk_file relabelto;
allow hotplug_t logrotate_var_lib_t:file relabelto;
allow hotplug_t logwatch_cache_t:dir { read relabelto };
allow hotplug_t lost_found_t:dir { getattr read relabelto search };
allow hotplug_t lvm_lock_t:dir { read relabelto };
allow hotplug_t mail_spool_t:dir { getattr read relabelto search };
allow hotplug_t mail_spool_t:file { getattr relabelto };
allow hotplug_t mail_spool_t:lnk_file { getattr relabelto };
allow hotplug_t man_t:dir { getattr read relabelto search };
allow hotplug_t man_t:file { getattr relabelfrom relabelto setattr };
allow hotplug_t memory_device_t:chr_file { execute };
allow hotplug_t mnt_t:dir { getattr read relabelto search };
allow hotplug_t mqueue_spool_t:dir { getattr read search };
allow hotplug_t mysqld_db_t:dir { getattr read relabelto search };
allow hotplug_t mysqld_db_t:file { getattr relabelto };
allow hotplug_t mysqld_etc_t:file getattr;
allow hotplug_t mysqld_exec_t:file getattr;
allow hotplug_t mysqld_log_t:file getattr;
allow hotplug_t mysqld_var_run_t:dir { getattr read relabelto search };
allow hotplug_t mysqld_var_run_t:file relabelto;
allow hotplug_t mysqld_var_run_t:sock_file { getattr relabelto };
allow hotplug_t named_cache_t:dir { getattr read search };
allow hotplug_t named_conf_t:file getattr;
allow hotplug_t named_var_run_t:dir { getattr read search };
allow hotplug_t named_zone_t:dir { getattr read relabelto search };
allow hotplug_t named_zone_t:file getattr;
allow hotplug_t nscd_var_run_t:dir relabelto;
allow hotplug_t ntp_drift_t:dir { getattr read relabelto search };
allow hotplug_t ntp_drift_t:file { getattr relabelto };
allow hotplug_t pam_var_console_t:dir { read relabelto search };
allow hotplug_t pam_var_run_t:dir { getattr read relabelto search };
allow hotplug_t pam_var_run_t:file { getattr relabelto };
allow hotplug_t policy_config_t:dir { getattr read search };
allow hotplug_t port_t:tcp_socket { name_bind name_connect };
allow hotplug_t print_spool_t:dir { read relabelto search };
allow hotplug_t proc_net_t:dir { getattr read search };
allow hotplug_t proc_net_t:file { getattr read };
allow hotplug_t ptmx_t:chr_file { getattr read write };
allow hotplug_t random_device_t:chr_file { read };
allow hotplug_t root_t:dir { relabelto };
allow hotplug_t rpm_log_t:file { getattr relabelto };
allow hotplug_t rpm_var_lib_t:dir { getattr read relabelto search };
allow hotplug_t rpm_var_lib_t:file { getattr relabelto };
allow hotplug_t rpm_var_lib_t:lnk_file { getattr relabelto };
allow hotplug_t run_init_exec_t:file getattr;
allow hotplug_t samba_log_t:dir { getattr read relabelto search };
allow hotplug_t samba_var_t:dir { getattr read relabelto search };
allow hotplug_t sbin_t:lnk_file relabelto;
allow hotplug_t security_t:dir { getattr read };
allow hotplug_t security_t:file { read write };
allow hotplug_t security_t:security { check_context compute_av compute_create };
allow hotplug_t selinux_config_t:dir { getattr read };
allow hotplug_t sendmail_log_t:dir { read relabelto search };
allow hotplug_t sendmail_log_t:file relabelto;
allow hotplug_t sound_device_t:chr_file { ioctl read write };
allow hotplug_t ssh_port_t:tcp_socket name_connect;
allow hotplug_t sysctl_dev_t:dir { getattr read search };
allow hotplug_t sysctl_fs_t:dir { getattr read search };
allow hotplug_t sysctl_irq_t:dir { getattr read search };
allow hotplug_t sysctl_kernel_t:file write;
allow hotplug_t sysctl_net_t:file write;
allow hotplug_t sysctl_net_unix_t:dir { getattr read search };
allow hotplug_t sysctl_vm_t:dir { getattr read search };
allow hotplug_t syslogd_var_run_t:file relabelto;
allow hotplug_t system_dbusd_var_run_t:dir { read relabelto };
allow hotplug_t system_dbusd_var_run_t:sock_file relabelto;
allow hotplug_t tetex_data_t:dir { getattr read search };
allow hotplug_t tetex_data_t:file getattr;
allow hotplug_t tftpdir_t:lnk_file relabelto;
allow hotplug_t tmp_t:dir { add_name create getattr read relabelto remove_name search setattr write };
allow hotplug_t tmp_t:file { create getattr lock read unlink write };
allow hotplug_t tmp_t:sock_file { create unlink write };
allow hotplug_t tmpfs_t:file { read write };
allow hotplug_t tmpfs_t:sock_file { getattr write };
allow hotplug_t tty_device_t:chr_file getattr;
allow hotplug_t unconfined_t:process { noatsecure rlimitinh siginh transition };
allow hotplug_t user_home_t:file getattr;
allow hotplug_t usr_t:dir relabelto;
allow hotplug_t usr_t:file getattr;
allow hotplug_t usr_t:lnk_file { getattr read relabelto };
allow hotplug_t v4l_device_t:chr_file { getattr ioctl read setattr write };
allow hotplug_t var_lib_nfs_t:dir { getattr read search };
allow hotplug_t var_lib_nfs_t:file getattr;
allow hotplug_t var_lib_t:dir { getattr read relabelto search };
allow hotplug_t var_lib_t:file { getattr relabelto };
allow hotplug_t var_lib_t:lnk_file { getattr relabelto };
allow hotplug_t var_lock_t:dir relabelto;
allow hotplug_t var_lock_t:file relabelto;
allow hotplug_t var_log_t:dir { getattr read relabelto };
allow hotplug_t var_log_t:file { getattr read relabelto };
allow hotplug_t var_run_t:dir relabelto;
allow hotplug_t var_run_t:file { lock read write };
allow hotplug_t var_spool_t:dir { getattr read relabelto search };
allow hotplug_t var_spool_t:file relabelto;
allow hotplug_t var_t:dir { add_name create read relabelto remove_name rename reparent rmdir write };
allow hotplug_t var_t:file { append create entrypoint execute execute_no_trans getattr ioctl link read relabelfrom relabelto rename setattr unlink write };
allow hotplug_t var_t:lnk_file { create getattr read relabelto unlink };
allow hotplug_t var_yp_t:dir { getattr read relabelto };
allow hotplug_t winbind_var_run_t:dir { getattr read relabelto search };
allow hotplug_t wtmp_t:file { getattr lock relabelto write };
allow hotplug_t xkb_var_lib_t:dir { read relabelto search };
allow hotplug_t xkb_var_lib_t:file relabelto;
allow hotplug_t xserver_log_t:dir { read relabelto search };
allow hotplug_t xserver_log_t:fifo_file relabelto;
allow hotplug_t xserver_log_t:file relabelto;
allow hotplug_t zero_device_t:chr_file execute;
allow kernel_t default_t:file execmod;
allow kernel_t file_t:file execmod;

allow httpd_sys_script_t default_t:dir { search };
allow httpd_sys_script_t default_t:lnk_file { read };
allow httpd_sys_script_t devlog_t:sock_file { write };
allow httpd_sys_script_t httpd_runtime_t:file { ioctl };
allow httpd_sys_script_t httpd_sys_script_t:shm { associate getattr read unix_read unix_write write };
allow httpd_sys_script_t httpd_sys_script_t:unix_dgram_socket { connect create write };
allow httpd_sys_script_t httpd_sys_script_t:unix_stream_socket { accept connectto };
allow httpd_sys_script_t httpd_t:dir { search };
allow httpd_sys_script_t httpd_t:file { getattr read };
allow httpd_sys_script_t mysqld_db_t:dir { search };
allow httpd_sys_script_t mysqld_t:dir { search };
allow httpd_sys_script_t mysqld_t:file { getattr read };
allow httpd_sys_script_t mysqld_t:unix_stream_socket { connectto };
allow httpd_sys_script_t mysqld_var_run_t:sock_file { write };
allow httpd_sys_script_t selinux_config_t:file { getattr read };
allow httpd_sys_script_t syslogd_t:dir { search };
allow httpd_sys_script_t syslogd_t:file { getattr read };
allow httpd_sys_script_t syslogd_t:unix_dgram_socket { sendto };
allow httpd_sys_script_t tmp_t:file { append ioctl };
allow httpd_sys_script_t tmp_t:sock_file { write };
allow httpd_sys_script_t tmpfs_t:file { read write };
allow httpd_sys_script_t unconfined_t:file { getattr read };
allow httpd_sys_script_t unconfined_t:unix_stream_socket { connectto };
allow httpd_sys_script_t var_run_t:file { lock read };
allow httpd_sys_script_t unconfined_t:shm { associate read unix_read unix_write write };
                                                                            

allow httpd_sys_script_t default_context_t:file { getattr read };
allow httpd_sys_script_t httpd_sys_script_t:file { write };
allow httpd_sys_script_t security_t:file { read write };
allow httpd_sys_script_t security_t:security { compute_av compute_user };
allow httpd_sys_script_t shadow_t:file { getattr };
allow httpd_sys_script_t system_mail_t:dir { search };
allow httpd_sys_script_t system_mail_t:file { getattr read };
allow httpd_sys_script_t system_mail_t:lnk_file { read };
allow httpd_sys_script_t system_mail_t:shm { associate destroy getattr read unix_read unix_write write };
allow httpd_sys_script_t system_mail_t:unix_stream_socket { connectto };
allow httpd_sys_script_t tmp_t:file { setattr };
allow httpd_sys_script_t unconfined_t:lnk_file { read };
allow httpd_sys_script_t unconfined_t:shm { destroy getattr };
allow httpd_sys_script_t unconfined_t:system { ipc_info };
allow system_mail_t bin_t:dir { getattr search };
allow system_mail_t bin_t:lnk_file { read };
allow system_mail_t default_t:dir { search };
allow system_mail_t default_t:lnk_file { read };
allow system_mail_t devtty_t:chr_file { read write };
allow system_mail_t httpd_runtime_t:file { append };
allow system_mail_t httpd_sys_content_t:dir { getattr read search };
allow system_mail_t httpd_sys_script_t:dir { search };
allow system_mail_t httpd_sys_script_t:file { getattr read };
allow system_mail_t httpd_t:dir { search };
allow system_mail_t httpd_t:file { getattr read };
                                                                              

allow system_mail_t mysqld_db_t:dir { search };
allow system_mail_t mysqld_t:dir { search };
allow system_mail_t mysqld_t:file { getattr read };
allow system_mail_t mysqld_t:unix_stream_socket { connectto };
allow system_mail_t mysqld_var_run_t:sock_file { write };
allow system_mail_t proc_t:dir { getattr read };
allow system_mail_t sbin_t:lnk_file { read };
allow system_mail_t selinux_config_t:file { getattr read };
allow system_mail_t shell_exec_t:file { entrypoint execute getattr };
allow system_mail_t syslogd_t:file { getattr read };
allow system_mail_t system_mail_t:fifo_file { ioctl read };
allow system_mail_t system_mail_t:file { getattr read };
allow system_mail_t system_mail_t:lnk_file { read };
allow system_mail_t system_mail_t:process { setpgid };
allow system_mail_t system_mail_t:shm { associate create getattr read unix_read unix_write write };
allow system_mail_t system_mail_t:unix_stream_socket { accept connectto listen };
allow system_mail_t tmp_t:dir { add_name remove_name search write };
allow system_mail_t tmp_t:file { append getattr ioctl };
allow system_mail_t tmp_t:sock_file { create unlink write };
allow system_mail_t tmpfs_t:file { read write };
allow system_mail_t unconfined_t:file { getattr read };
allow system_mail_t unconfined_t:process { execmem };
allow system_mail_t unconfined_t:unix_stream_socket { connectto };
allow system_mail_t usr_t:file { getattr read };
allow system_mail_t usr_t:lnk_file { read };
allow system_mail_t var_lib_t:dir { search };
allow system_mail_t var_t:file { getattr ioctl read };
allow httpd_sys_script_t var_spool_t:dir { add_name remove_name search write };
allow httpd_sys_script_t var_spool_t:file { read write };
allow httpd_sys_script_t var_spool_t:file { getattr unlink };
allow httpd_sys_script_t var_run_t:file { getattr };
allow httpd_sys_script_t var_run_t:file { ioctl };
allow httpd_sys_script_t security_t:dir { search };
allow httpd_t var_spool_t:dir { write };
allow httpd_t var_spool_t:dir { add_name remove_name };
allow httpd_sys_script_t var_t:file { getattr ioctl read };
allow mysqld_t default_t:lnk_file getattr;
allow httpd_t httpd_sys_content_t:file { execute execute_no_trans };
allow httpd_t sbin_t:lnk_file read;
allow httpd_t unconfined_t:shm getattr;
allow httpd_t httpd_sys_content_t:file { execute execute_no_trans };
allow httpd_t sbin_t:lnk_file read;
allow httpd_t shlib_t:file execute;
allow httpd_t unconfined_t:shm getattr;
allow mysqld_t default_t:lnk_file getattr;
allow httpd_t httpd_sys_content_t:file { execute execute_no_trans };
allow httpd_t sbin_t:lnk_file read;
allow httpd_t shlib_t:file execmod;
allow mysqld_t usr_t:lnk_file { getattr read };
allow httpd_t var_t:dir read;
allow mysqld_t var_t:file { read getattr };

allow syslogd_t var_t:file { read getattr };

allow httpd_sys_script_t devlog_t:sock_file write;
allow httpd_sys_script_t httpd_log_t:file ioctl;
allow httpd_sys_script_t self:unix_dgram_socket { connect create };
allow httpd_sys_script_t initrc_var_run_t:file { lock read };
allow httpd_sys_script_t lib_t:file execmod;
allow httpd_sys_script_t syslogd_t:unix_dgram_socket sendto;
allow httpd_sys_script_t tmp_t:sock_file write;
allow httpd_sys_script_t tmpfs_t:file { read write };
allow httpd_sys_script_t unconfined_t:shm { associate getattr read unix_read unix_write write };
allow httpd_sys_script_t unconfined_t:unix_stream_socket connectto;
allow httpd_t lib_t:file execmod;
allow httpd_t tmpfs_t:chr_file { getattr ioctl read write };

allow mysqld_t default_t:file { getattr execute read };
allow mysqld_t default_t:dir getattr;
allow httpd_sys_script_t shlib_t:file execmod;
allow httpd_sys_script_t default_t:file { read getattr execute execmod };
allow httpd_sys_script_t default_t:file { read };
allow httpd_sys_script_t device_t:sock_file write;
allow httpd_sys_script_t self:shm create;
allow httpd_sys_script_t unconfined_t:unix_dgram_socket sendto;
allow httpd_sys_script_t unconfined_t:unix_stream_socket { read write };
allow kernel_t unconfined_t:process transition;
allow mysqld_t file_t:file read;

allow mysqld_t unlabeled_t:file read;
allow mysqld_t var_log_t:file append;
allow unconfined_t port_t:tcp_socket name_connect;

allow hotplug_t binfmt_misc_fs_t:dir getattr;
allow hotplug_t devpts_t:chr_file { ioctl setattr };
allow hotplug_t file_t:dir { add_name create read remove_name setattr write };
allow hotplug_t file_t:file { append create entrypoint execmod execute execute_no_trans getattr ioctl link lock read rename setattr unlink write };
allow hotplug_t file_t:lnk_file { getattr read };
allow hotplug_t file_t:sock_file { create unlink write };
allow hotplug_t self:capability { setgid setuid };
allow hotplug_t self:dbus { acquire_svc send_msg };
allow hotplug_t self:netlink_audit_socket { create nlmsg_relay read write };
allow hotplug_t self:netlink_selinux_socket { bind create read };
allow hotplug_t self:process { execmem execstack getsched setpgid setrlimit };
allow hotplug_t self:shm { create destroy read unix_read unix_write write };
allow hotplug_t self:unix_stream_socket { accept connectto listen };
allow hotplug_t inotifyfs_t:dir { getattr read };
allow hotplug_t kernel_t:dbus send_msg;
allow hotplug_t kernel_t:unix_dgram_socket sendto;
allow hotplug_t kernel_t:unix_stream_socket connectto;
allow hotplug_t mnt_t:dir getattr;
allow hotplug_t ptmx_t:chr_file { getattr ioctl read write };
allow hotplug_t random_device_t:chr_file read;
allow hotplug_t security_t:dir getattr;
allow hotplug_t security_t:file write;
allow hotplug_t security_t:security compute_av;
allow hotplug_t sound_device_t:chr_file { ioctl read write };
allow hotplug_t sysctl_fs_t:dir search;
allow hotplug_t tmpfs_t:file { read write };
allow hotplug_t tmpfs_t:sock_file write;
allow hotplug_t var_t:file { getattr read };
allow kernel_t file_t:file execmod;
allow kernel_t unconfined_t:process transition;

allow httpd_t devpts_t:chr_file ioctl;
allow httpd_t var_log_t:file append;
allow initrc_su_t devpts_t:chr_file { read write };
allow initrc_su_t initrc_t:unix_stream_socket { read write };
allow initrc_su_t sbin_t:file { execute execute_no_trans read };
allow initrc_su_t security_t:file write;
allow initrc_su_t security_t:security compute_av;
allow initrc_su_t xauth_exec_t:file execute;
allow initrc_t lib_t:file execmod;

